# frozen_string_literal: true

require_relative 'lib/arcamark/version'

Gem::Specification.new do |spec|
  spec.name     = 'arcamark'
  spec.version  = Arcamark::VERSION
  spec.license  = 'MIT'
  spec.homepage = 'https://github.com/causa-arcana/arcamark'
  spec.platform = Gem::Platform::RUBY
  spec.summary  = 'Template engine to compile articles to HTML and Gemtext'

  spec.required_ruby_version = '~> 3.0'

  spec.authors = ['Alex Kotov']
  spec.email   = %w[kotovalexarian@gmail.com]

  spec.description = <<~DESCRIPTION.split.join ' '
    Template engine to compile articles to HTML and Gemtext (markup language for
    Gemini protocol).
  DESCRIPTION

  spec.metadata['homepage_uri']    = 'https://github.com/causa-arcana/arcamark'
  spec.metadata['source_code_uri'] = 'https://github.com/causa-arcana/arcamark'
  spec.metadata['bug_tracker_uri'] = 'https://github.com/causa-arcana/arcamark/issues'

  spec.bindir        = 'exe'
  spec.require_paths = ['lib']

  spec.files = Dir.chdir File.expand_path __dir__ do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match %r{\A(?:test|spec|features)/}
    end
  end

  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename f }

  spec.add_development_dependency 'bundler',             '~> 2.2'
  spec.add_development_dependency 'bundler-audit',       '~> 0.8'
  spec.add_development_dependency 'pry',                 '~> 0.14.0'
  spec.add_development_dependency 'rake',                '~> 13.0'
  spec.add_development_dependency 'rspec',               '~> 3.10'
  spec.add_development_dependency 'rubocop',             '~> 1.18'
  spec.add_development_dependency 'rubocop-performance', '~> 1.11'
  spec.add_development_dependency 'rubocop-rake',        '~> 0.6.0'
  spec.add_development_dependency 'rubocop-rspec',       '~> 2.4'
  spec.add_development_dependency 'simplecov',           '~> 0.21'
  spec.add_development_dependency 'yard',                '~> 0.9.0'
end
